Overview
GET/content/eventscontent

List events

List events.

Auth: bearerAuth — calls run as the authenticated user.

Responses
200

List

  • idstring
  • ecosystemIdstring
  • customerIdstring
  • deletedAtstring?
  • typestring
  • payloadstring | number | boolean? | object | any[]
  • createdAtstring
Example
[
  {
    "id": "string",
    "ecosystemId": "string",
    "customerId": "string",
    "deletedAt": "string",
    "type": "string",
    "payload": "string",
    "createdAt": "string"
  }
]
401

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/content/events" \
  -H "Authorization: Bearer YOUR_TOKEN"
JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/content/events", {
  method: "GET",
  headers: {
    "Authorization": "Bearer YOUR_TOKEN"
  },
});
const data = await res.json();